//  Persistance of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 4 lights, 6 materials and 13 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 08/06/1999    (06.08.1999)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment


// Scene Includes

#include "overfa.inc"

// End Scene Includes

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <    -54.565,      58.517,      37.322>
  direction <        0.0,         0.0,      1.8317> // Aperture is 0.53 degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33333,         0.0,         0.0> // Aspect ratio
  look_at   <     -4.933,      13.899,      24.263>
}

//    Other cameras are commented out.
/*
camera {  //  Camera SpotCam001
  location  <      0.000,      -0.100,       0.000>
  direction <        0.0,         0.0,      3.1125> // Aperture is 0.32 degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33333,         0.0,         0.0> // Aspect ratio
  look_at   <      0.000,       0.000,       0.000>
}

*/

/*
camera {  //  Camera SpotCam002
  location  <   -305.755,     502.542,      95.760> // Attached to Spotlight004
  direction <        0.0,         0.0,      3.1125> // Aperture is 0.32 degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33333,         0.0,         0.0> // Aspect ratio
  look_at   <   -294.835,     485.357,      91.859> // Following Spotlight004
}

*/

//
// *******  L I G H T S *******
//

light_source {   // Spotlight Spotlight004
  <-305.755, 502.542, 95.760>
  color rgb <0.457, 0.250, 0.009>
  spotlight
    point_at  <-283.915, 468.171, 87.958>
    falloff    9.126  // outer radius (in deg)
    radius     7.500  // inner radius
    tightness  0.000
}

light_source {   // Spotlight Spotlight003
  <-305.755, 502.542, 95.760>
  color rgb <0.457, 0.250, 0.009>
  spotlight
    point_at  <-283.915, 468.171, 87.958>
    falloff    9.126  // outer radius (in deg)
    radius     7.500  // inner radius
    tightness  0.000
}

light_source {   // Spotlight Spotlight001
  <119.441, -95.539, 157.589>
  color rgb <0.836, 0.457, 0.000>
  spotlight
    point_at  <118.386, -94.730, 156.095>
    falloff    27.185  // outer radius (in deg)
    radius     18.852  // inner radius
    tightness  0.000
  media_attenuation on
}

light_source {   // Spotlight Spotlight002
  <119.441, -95.539, 157.589>
  color rgb <0.836, 0.353, 0.000>
  spotlight
    point_at  <118.386, -94.730, 156.095>
    falloff    29.964  // outer radius (in deg)
    radius     22.325  // inner radius
    tightness  13.113
  media_attenuation on
}


//
// ********  MATERIALS  *******
//

#include "overf.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

#include "starhawk.inc"

#declare STARHAWK_STARHAWK_white_Ref = object {
  STARHAWK_STARHAWK_white
}
#declare STARHAWK_STARHAWK_medium_Ref = object {
  STARHAWK_STARHAWK_medium
}
#declare STARHAWK_STARHAWK_yellow_Ref = object {
  STARHAWK_STARHAWK_yellow
}
#declare STARHAWK_STARHAWK_black_Ref = object {
  STARHAWK_STARHAWK_black
}
#declare STARHAWK_STARHAWK_red_4_Ref = object {
  STARHAWK_STARHAWK_red_4
}
#declare STARHAWK_STARHAWK_blue_5_Ref = object {
  STARHAWK_STARHAWK_blue_5
}
union { // starhawk_group
  object { STARHAWK_STARHAWK_white_Ref }
  object { STARHAWK_STARHAWK_medium_Ref }
  object { STARHAWK_STARHAWK_yellow_Ref }
  object { STARHAWK_STARHAWK_black_Ref }
  object { STARHAWK_STARHAWK_red_4_Ref }
  object { STARHAWK_STARHAWK_blue_5_Ref }
  material {
    BLUE_METAL
  }
  scale 0.025
  translate  <34.190674, -43.386318, 35.546511>
}






object {   // HgtFld001
  height_field {
    tga "overfh.tga"
    water_level 0.0074
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  material {
    Brown_Agate_Moray
  }
  scale <562.349243, 625.294434, 59.959267>
  translate  <347.720668, -253.476932, 15.354582>
}


sphere { // Sphere001
  <0,0,0>,1
  material {
    RoomMedia
  }
  hollow
  scale 58.547459
  translate  <846.725698, -854.267571, 0.0>
}




